package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (25/01/2012)
 */
public class P06B48T00Datatype implements Serializable {
	
	private String ejercicio = "";
	private String numExp = "";
	private String valorAnadComis = "";
	private String valorAnadSubv = "";
	private String valorAnadOtrosIng = "";
	private String valorAnadCompras = "";
	private String valorAnadServExt = "";
	private String valorAnadOtrosTrib = "";
	private String inverBruta = "";
	

	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
		
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the valorAnadComis.
	 */
	public String getValorAnadComis() {
		return valorAnadComis;
	}
	/**
	 * @param valorAnadComis The valorAnadComis to set.
	 */
	public void setValorAnadComis(String valorAnadComis) {
		this.valorAnadComis = valorAnadComis;
	}
	
	/**
	 * @return Returns the valorAnadSubv.
	 */
	public String getValorAnadSubv() {
		return valorAnadSubv;
	}
	/**
	 * @param valorAnadSubv The valorAnadSubv to set.
	 */
	public void setValorAnadSubv(String valorAnadSubv) {
		this.valorAnadSubv = valorAnadSubv;
	}
	
	/**
	 * @return Returns the valorAnadOtrosIng.
	 */
	public String getValorAnadOtrosIng() {
		return valorAnadOtrosIng;
	}
	/**
	 * @param valorAnadOtrosIng The valorAnadOtrosIng to set.
	 */
	public void setValorAnadOtrosIng(String valorAnadOtrosIng) {
		this.valorAnadOtrosIng = valorAnadOtrosIng;
	}
	
	/**
	 * @return Returns the valorAnadCompras.
	 */
	public String getValorAnadCompras() {
		return valorAnadCompras;
	}
	/**
	 * @param valorAnadCompras The valorAnadCompras to set.
	 */
	public void setValorAnadCompras(String valorAnadCompras) {
		this.valorAnadCompras = valorAnadCompras;
	}
	
	/**
	 * @return Returns the valorAnadServExt.
	 */
	public String getValorAnadServExt() {
		return valorAnadServExt;
	}
	/**
	 * @param valorAnadServExt The valorAnadServExt to set.
	 */
	public void setValorAnadServExt(String valorAnadServExt) {
		this.valorAnadServExt = valorAnadServExt;
	}
	
	/**
	 * @return Returns the valorAnadOtrosTrib.
	 */
	public String getValorAnadOtrosTrib() {
		return valorAnadOtrosTrib;
	}
	/**
	 * @param valorAnadOtrosTrib The valorAnadOtrosTrib to set.
	 */
	public void setValorAnadOtrosTrib(String valorAnadOtrosTrib) {
		this.valorAnadOtrosTrib = valorAnadOtrosTrib;
	}
	
	/**
	 * @return Returns the inverBruta.
	 */
	public String getInverBruta() {
		return inverBruta;
	}
	/**
	 * @param inverBruta The inverBruta to set.
	 */
	public void setInverBruta(String inverBruta) {
		this.inverBruta = inverBruta;
	}
	


	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; valorAnadComis: ");
		textoImprimir.append(valorAnadComis);
		textoImprimir.append("; valorAnadSubv: ");
		textoImprimir.append(valorAnadSubv);
		textoImprimir.append("; valorAnadOtrosIng: ");
		textoImprimir.append(valorAnadOtrosIng);
		textoImprimir.append("; valorAnadCompras: ");
		textoImprimir.append(valorAnadCompras);
		textoImprimir.append("; valorAnadServExt: ");
		textoImprimir.append(valorAnadServExt);
		textoImprimir.append("; valorAnadOtrosTrib: ");
		textoImprimir.append(valorAnadOtrosTrib);
		textoImprimir.append("; inverBruta: ");
		textoImprimir.append(inverBruta);
		
		return textoImprimir.toString();
	}
	

}
